
meta_model_json <- function(path,algoli_version,model_id,path_store,git_store,service_name,service_version,algorithm){
  template_file <- system.file("template", "model.json", package = "algoli")
  template <- jsonlite::fromJSON(template_file, simplifyDataFrame = FALSE)
  template$algoli <-algoli_version
  template$information$name <- model_id
  if (!is.null(path_store)) {
    template$flow$algoli$path_store <- gsub('/','//',normalizePath(path_store))
  } else template$flow$algoli$path_store <- NULL
  if (!is.null(git_store)) {
    template$flow$algoli$git_store <- gsub('/','//',git_store)
  } else template$flow$algoli$git_store <- NULL
  template$flow$algoli$service$name <- service_name
  template$flow$algoli$service$version <- service_version
  template$flow$algoli$algorithm <- algorithm
  #todo
  #template$flow$algoli$arguments <- quote(list(...))
  #template$flow$algoli$target <- target
  #template$flow$algoli$predictors <- predictors
  template_json <- jsonlite::toJSON(template, pretty = TRUE)
  file_json <- file.path(path,"model.json")
  writeLines(enc2utf8(template_json), file_json, useBytes = TRUE)
  invisible()
}

# todo
#core_json <-function(){}
#service_json <-function(){}
