#' @export
print.algdoor <- function(x,...){
  get("summary",x)()
}

#' @export
print.algoli_service <- function(x, ...) {
  cat(paste("Service:" ,x$information$name, "version", x$information$version))
  cat("\n")
  cat(paste("An algoli service for Algoli version", x$'algoli'))
  cat("\n\n")
  cat(x$information$description, "\n\n")
  fun_defs <- get_function_definitions(x)
  cat("List of functions:\n")
  for(fun_def in fun_defs) {
    function_id <- paste0(x$information$name,"_",fun_def$action,"_",fun_def$algo)
    cat("*",function_id, "\n  ", fun_def$description, "\n")
  }
}

#' @export
print.algoli_core <- function(x, ...) {
  cat(paste("Core:" ,x$information$name, "version", x$information$version))
  cat("\n")
  cat(paste("An algoli core for Algoli version", x$'algoli'))
  cat("\n\n")
  cat(x$information$description, "\n\n")
  fun_defs <- get_core_function_definitions(x)
  cat("List of functions:\n")
  for(fun_def in fun_defs) {
    function_id <- paste0(fun_def$action)
    cat("*",function_id, "\n  ", fun_def$description, "\n")
  }
}
